Index: palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- palm/trunk/SOURCE/calc_radiation.f90	(revision 2)
+++ palm/trunk/SOURCE/calc_radiation.f90	(revision 3)
@@ -8,23 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: calc_radiation.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2004/01/30 10:17:03  raasch
 ! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.5  2003/03/12 16:21:56  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.4  2002/06/11 12:40:33  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! 1D-arrays lwp_groud,... are only allocated once in the first call.
-!
-! Revision 1.3  2001/03/30 06:55:27  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.2  2001/01/22 05:35:05  raasch
-! Module test_variables removed
 !
 ! Revision 1.1  2000/04/13 14:42:45  schroeter
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 2)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 3)
@@ -8,32 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: calc_spectra.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.9  2006/04/11 14:56:00  raasch
 ! pl_spectra renamed data_output_sp
-!
-! Revision 1.8  2005/05/18 15:08:18  raasch
-! n is assigned the number of spectra (formerly, the number of spectra was
-! given by n-1)
-!
-! Revision 1.7  2005/04/23 08:41:39  raasch
-! Abort in case of non-cyclic lateral boundaries
-!
-! Revision 1.6  2004/04/30 08:23:12  raasch
-! Usage of all available FFT-methods is possible, direct transpositions from
-! z to x and from z to y are used, FFT routines renamed, module
-! fft_for_1d_decomp renamed fft_xy, extensions for enlarged subdomain added
-!
-! Revision 1.5  2003/03/16 09:27:35  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.4  2002/06/11 12:44:15  raasch
-! TRIM function added (needed on IBM-systems)
-!
-! Revision 1.3  2001/03/30  06:55:58  06:55:58  raasch (Siegfried Raasch)
-! Work array replaced by tend,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-! 
-! Revision 1.2  2001/01/25 06:52:21  raasch
-! Module singleton moved to modules.f90
 !
 ! Revision 1.1  2001/01/05 15:08:07  raasch
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 2)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 3)
@@ -8,39 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: check_for_restart.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2007/02/11 12:55:13  raasch
 ! Informative output to the job protocol
-!
-! Revision 1.10  2003/03/16 09:27:49  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.9  2002/12/19 13:48:59  raasch
-! Stop flag is also set in case of user forced restarts, routine name
-! changed from check_cpu_time to check_for_restart, the run description
-! header will be written on file CONTINUE_RUN
-!
-! Revision 1.8  2001/08/21 08:22:23  raasch
-! MPI_ALLREDUCE moved out of IF-clause
-!
-! Revision 1.7  2001/03/30 06:56:28  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 05:36:33  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2001/01/02 17:19:27  raasch
-! Initial value of terminate_run_l is set to .FALSE. (undefined before).
-! Flag file will only be created by PE0. Unit 90 is used instead of 91.
-!
-! Revision 1.4  2000/01/21 16:27:59  letzel
-! All comments translated into English
-!
-! Revision 1.3  1998/07/06 12:07:47  raasch
-! + USE test_variables
-!
-! Revision 1.2  1998/03/24 15:24:54  raasch
-! Lauf wird nur dann beendet und Fortsetzungslauf gestartet, falls auch eine
-! Abspeicherung der entsprechenden Binaerdateien vorgesehen ist.
-! Beendigung der Rechnung auf mehreren Prozessoren richtig implementiert.
 !
 ! Revision 1.1  1998/03/18 20:06:51  raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 2)
+++ palm/trunk/SOURCE/check_open.f90	(revision 3)
@@ -8,89 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: check_open.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.44  2006/08/22 13:48:34  raasch
 ! xz and yz cross sections now up to nzt+1
-!
-! Revision 1.43  2006/08/04 14:05:52  raasch
-! Opening of unit 109 (particle time series)
-!
-! Revision 1.42  2006/03/01 16:39:47  raasch
-! In parallel mode, all PEs are opening the same copy of file PARIN
-!
-! Revision 1.41  2006/02/23 10:05:05  raasch
-! New unit 20 for data logging,
-! new units (111:113,116) for 2d/3d data averaging
-! NetCDF files are allowed a 64 bit offset format,
-! error number argument for handle_netcdf_error
-!
-! Revision 1.40  2005/06/30 10:39:04  raasch
-! No opening of units 101-108 in case of missing netcdf support
-!
-! Revision 1.39  2005/06/26 19:51:36  raasch
-! Data format version number for unit 85 changed
-!
-! Revision 1.38  2005/05/18 15:09:01  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.37  2005/04/23 08:50:18  raasch
-! batch_scp calls is given the remote username as an additional argument
-!
-! Revision 1.36  2004/01/28 15:03:21  raasch
-! In case of opening unit 80, a barrier is set only for the first call of
-! check_open (from routine init_particles), in order to avoid the possibility
-! of hanging jobs, which may occur if unit 80 is opened within routine
-! allocate_prt_memory.
-!
-! Revision 1.35  2003/10/29 08:47:03  raasch
-! Call of batch_scp on IBM corrected, output of data format version and
-! particle group data on unit 85
-!
-! Revision 1.34  2003/05/09 14:06:58  raasch
-! Batch_scp paths for IBM, NEC and linux added
-!
-! Revision 1.33  2003/03/16 09:28:00  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.32  2002/12/19 14:03:15  raasch
-! Unit 18 (CPU_MEASURES) will be opened on PE0 only, unit 14 is opened
-! with special process-id-string myid_char_14 (see routine parin),
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.31  2002/04/24 19:01:15  raasch
-! Unit 85 is allowed to be re-opened. In case that a re-open of a file is not
-! allowed, the subroutine will be exit.
-!
-! Revision 1.30  2002/04/16 08:00:27  raasch
-! ftpcopy replaced by batch_scp, retry of opening CPU_MEASURES/ in case of
-! errors forced by adding ERR-parameter in OPEN statement.
-! New unit 85 for particle data
-!
-! Revision 1.29  2001/07/12 12:07:21  raasch
-! Opening of unit 33 moved out of ELSE-block
-!
-! Revision 1.28  2001/03/30 06:56:49  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.27  2001/01/29 12:21:52  raasch
-! In case of AVS-output: if no path for ftpcopy is given, filenames are set
-! to "unknown"
-!
-! Revision 1.26  2001/01/25 06:54:28  raasch
-! Error concerning initialization of unit 23 removed (initial informations
-! were written also when reopened)
-!
-! Revision 1.25  2001/01/05 15:09:29  raasch
-! New units 81-84 for spectra
-!
-! Revision 1.24  2001/01/02 17:21:11  raasch
-! Re-opening of files is allowed, variable openfile now is of type file_status,
-! new unit 80 for particle informations
-! old revison remarks deleted
-!
-! Revision 1.23  2000/04/27 06:51:12  raasch
-! remote_addres changed to return_addres, old revision remarks deleted
-!
-! Revision 1.22  2000/01/21 17:07:18  letzel
-! All comments translated into English
 !
 ! Revision 1.1  1997/08/11 06:10:55  raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: check_parameters.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.61  2006/08/04 14:20:25  raasch
 ! do2d_unit and do3d_unit now defined as 2d-arrays, check of
@@ -14,128 +16,4 @@
 ! generation of file header moved from routines palm and header to here
 !
-! Revision 1.60  2006/06/02 15:09:15  raasch
-! data_output_xy/xz/yz are set
-!
-! Revision 1.59  2006/03/03 15:55:34  letzel
-! Spelling inconsistency removed
-!
-! Revision 1.58  2006/03/03 08:50:08  raasch
-! Default setting of constant_heatflux now only depends on the value of
-! surface_heatflux again
-!
-! Revision 1.57  2006/02/27 10:16:44  letzel
-! Error removed in initialization of dt_averaging_input_pr
-!
-! Revision 1.56  2006/02/23 10:06:55  raasch
-! Volume flow conservation is not allowed with non-cyclic lateral boundaries,
-! calculation of nzb_diff moved to init_grid, the default setting of
-! constant_heatflux = .F. additionally requires a surface initial temperature
-! change /= 0, check of topography, dissipation_1d, mixing_length_1d,
-! check and setting of new data output steering parameters and user defined
-! output quantities,
-! ebene renamed section, pl1d_anz, plts_anz renamed dopr_n, dots_n,
-! plts, pl1d renamed data_output_ts/1d
-!
-! Revision 1.55  2005/12/06 16:39:34  raasch
-! Output of ql profile is allowed in case of using cloud droplets
-!
-! Revision 1.54  2005/06/30 11:27:33  steinfeld
-! Initialization of the profiles of the geostrophic wind components
-! ug and vg;
-! the usage of the geostrophic wind in a galilei transformation is
-! not allowed with a simultaneous specification of a baroclinicity
-!
-! Revision 1.53  2005/05/18 15:12:36  raasch
-! Check of data_output_format and netcdf precision,
-! abort if poisfft_hybrid is called in a non-parallel environment
-!
-! Revision 1.52  2005/04/23 09:04:10  raasch
-! fcl_factor renamed cfl_factor, default setting of outflow_damping_width
-! corrected, additional check for non-cyclic lateral boundary conditions
-!
-! Revision 1.51  2005/03/26 19:47:32  raasch
-! Check of bc_lr, bc_ns, km_damp_max, inflow_disturbance_begin,
-! inflow_disturbance_end, outflow_damping_width
-!
-! Revision 1.50  2004/04/30 11:20:27  raasch
-! Check of grid_matching, check of time series profiles modified,
-! impulse_advec renamed momentum_advec
-!
-! Revision 1.49  2004/01/28 15:04:56  raasch
-! Additional checks and settings for timestep schemes because of the
-! newly implemented Runge-Kutta schemes
-!
-! Revision 1.48  2003/04/17 07:07:43  raasch
-! Hybrid solver check in parallel environment only
-!
-! Revision 1.47  2003/04/16 09:43:20  raasch
-! Additional checks for hybrid solver and host, Monin Obukhov length added to
-! time series
-!
-! Revision 1.46  2003/03/31 15:43:19  raasch
-! Check for horizontal temperature flux profiles cleaned up
-!
-! Revision 1.45  2003/03/14 13:38:02  raasch
-! Random generator check included
-!
-! Revision 1.44  2003/03/12 16:23:10  raasch
-! Small checks for NEC and temperton-algorithm
-!
-! Revision 1.43  2002/12/19 14:04:26  raasch
-! Setting default values for termination_time_needed and check the
-! value for IBM-regatta, STOP statement replaced by call of subroutine
-! local_stop
-!
-! Revision 1.42  2002/09/12 13:02:25  raasch
-! Error in calculating initial pt and q profiles removed (array bound 10 in
-! *_ind arrays could be exceeded)
-!
-! Revision 1.41  2002/06/11 12:49:33  raasch
-! Hybrid solver allowed for solving the Poisson equation
-!
-! Revision 1.40  2002/05/02  18:48:56  18:48:56  raasch (Siegfried Raasch)
-! SELECT case of cross_normalized_x and ..y requires usage of TRIM-function
-! on IBM
-! 
-! Revision 1.39  2002/04/16 08:03:27  raasch
-! Parameters for scalar transport included, output of scalar profiles changed
-!
-! Revision 1.38  2001/11/28 09:48:32  schroeter
-! Profiles for horizontal heat fluxes and
-! flux divergences allowed (58-72)
-!
-! Revision 1.37  2001/09/04  11:58:55  11:58:55  raasch (Siegfried Raasch)
-! Profiles for vertical flux of resolved/subgrid scale energy and pressure
-! fluctuations allowed (#55-57)
-! 
-! Revision 1.36  2001/07/20 12:52:32  raasch
-! Multigrid method allowed for solving the Poisson equation
-!
-! Revision 1.35  2001/03/30 06:57:38  raasch
-! Asselin filter factor is set to 0, if Euler scheme is used,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.34  2001/02/09 07:04:45  raasch
-! Checking of boundary conditions for pt and q and their combination with
-! prescribed surface fluxes revised
-!
-! Revision 1.33  2001/01/29 12:23:31  raasch
-! New parameter passive_scalar is checked
-!
-! Revision 1.32  2001/01/25 06:55:37  raasch
-! New control-parameters fft_method and use_surface_fluxes are checked
-!
-! Revision 1.31  2000/04/18 11:19:43  schroeter
-! Bott-Chlond Advektionsschema nun auch fuer Rechnungen
-! mit Feuchte/Wolkenphysik zugelassen
-!
-! Revision 1.30  2000/04/13 13:28:56  schroeter
-! + initialize profiles of total water content
-! + check boundary conditions of total water content
-! + initialize output of cloud-physics-profiles
-!
-! Revision 1.29  2000/01/25  14:38:37  14:38:37  letzel (Marcus Letzel)
-! All comments translated into English
-! 
 ! Revision 1.1  1997/08/26 06:29:23  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 2)
+++ palm/trunk/SOURCE/close_file.f90	(revision 3)
@@ -8,34 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: close_file.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.10  2006/08/22 13:50:01  raasch
 ! xz and yz cross sections now up to nzt+1
-!
-! Revision 1.9  2006/08/04 14:22:53  raasch
-! Closing unit 109 (particle timeseries)
-!
-! Revision 1.8  2006/02/23 10:08:23  raasch
-! Extensions for 2d/3d data averaging
-! pl2d_.._anz, pl3d_anz renamed do2d_.._n, do3d_avs_n, respectively
-! error number argument for handle_netcdf_error
-!
-! Revision 1.7  2005/05/18 15:13:12  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.6  2005/03/26 19:54:23  raasch
-! +datform in global-namelist (iso2d)
-!
-! Revision 1.5  2003/03/04 11:24:46  raasch
-! AVS data format changed from float to xdr_float (needed on linux machines
-! due to the little/big endian problem)
-!
-! Revision 1.4  2002/12/19 14:06:34  raasch
-! ISO2D parameter dp set to true for ibm hosts
-!
-! Revision 1.3  2001/03/30 06:58:36  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.2  2001/01/22 05:39:06  raasch
-! Module test_variables removed
 !
 ! Revision 1.1  2001/01/02 17:23:41  raasch
Index: palm/trunk/SOURCE/compute_vpt.f90
===================================================================
--- palm/trunk/SOURCE/compute_vpt.f90	(revision 2)
+++ palm/trunk/SOURCE/compute_vpt.f90	(revision 3)
@@ -8,14 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: compute_vpt.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2001/03/30 06:58:52  raasch
 ! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/22 05:42:55  raasch
-! Minor corrections within file header
-!
-! Revision 1.2  2000/09/07 09:00:36  schroeter
-! Now, vpt will be computed for k=nzb and nzt+1
-! additionally to keep boundary values
 !
 ! Revision 1.1  2000/04/13 14:40:53  schroeter
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 2)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 3)
@@ -8,41 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: coriolis.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 10:08:57  raasch
 ! nzb_2d replaced by nzb_u/v/w_inner
-!
-! Revision 1.11  2005/06/29 10:30:17  steinfeld
-! A potential dependency of the geostrophic wind components ug and vg on height
-! is considered
-!
-! Revision 1.10  2005/03/26 20:02:04  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions
-!
-! Revision 1.9  2004/01/30 10:17:34  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.8  2003/03/12 16:23:47  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.7  2002/12/19 14:08:14  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.6  2002/06/11 12:51:09  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.5  2001/03/30 06:59:09  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/22 05:44:16  raasch
-! Module test_variables removed
-!
-! Revision 1.3  2000/12/20 09:50:27  letzel
-! All comments translated into English.
-!
-! Revision 1.2  1998/07/06 12:09:54  raasch
-! + USE test_variables
 !
 ! Revision 1.1  1997/08/29 08:57:38  raasch
Index: palm/trunk/SOURCE/cpu_log.f90
===================================================================
--- palm/trunk/SOURCE/cpu_log.f90	(revision 2)
+++ palm/trunk/SOURCE/cpu_log.f90	(revision 3)
@@ -8,55 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: cpu_log.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.24  2006/06/02 15:12:17  raasch
 ! cpp-directives extended for lctit
-!
-! Revision 1.23  2004/01/28 15:08:52  raasch
-! Type log changed to logpoint due to name conflict with intrinsic log
-!
-! Revision 1.22  2003/05/09 14:15:18  raasch
-! Time measurement on linux machines included, measurements on IBM are now using
-! function irtc, which allows correct measurements for jobs running over
-! the 24:00 timeline
-!
-! Revision 1.21  2003/03/16 09:30:04  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.20  2003/03/12 16:24:18  raasch
-! Time measurement on NEC implemented
-!
-! Revision 1.19  2002/12/20 09:38:43  raasch
-! variable first is defined for all hosts
-!
-! Revision 1.18  2002/12/19 14:09:36  raasch
-! Output of warnings in case of negative cpu-times, STOP statement replaced by
-! call of subroutine local_stop
-!
-! Revision 1.17  2002/05/02 18:49:37  raasch
-! Time measurement on IBM implemented
-!
-! Revision 1.16  2001/03/30 07:00:43  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.14  2001/01/25 06:56:49  raasch
-! +cpp-directives for dec-alpha-workstations
-!
-! Revision 1.13  2001/01/22 08:32:46  raasch
-! Module test_variables removed
-!
-! Revision 1.11  2000/12/20 10:18:58  letzel
-! All comments translated into English.
-!
-! Revision 1.9  1999/11/25 16:19:07  raasch
-! TIMEF jetzt als Function-Aufruf
-!
-! Revision 1.8  1999/03/03 09:26:14  raasch
-! Zeitmessung auf T3E grundsaetzlich auf TIMEF umgestellt
-!
-! Revision 1.7  1998/12/15 07:32:39  raasch
-! Messung der wahren I/O-Zeiten auf T3E mit TIMEF moeglich
-!
-! Revision 1.4  1997/09/16 06:37:24  raasch
-! Zeitmessungen auf t3e umgestellt auf tsecnd (schneller als mpi_wtime)
 !
 ! Revision 1.1  1997/07/24 11:12:29  raasch
@@ -67,5 +21,5 @@
 ! ------------
 ! Cpu-time measurements for any program part whatever.
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE cpulog
Index: palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- palm/trunk/SOURCE/cpu_statistics.f90	(revision 2)
+++ palm/trunk/SOURCE/cpu_statistics.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE cpu_statistics
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,26 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: cpu_statistics.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.13  2006/04/26 12:10:51  raasch
 ! Output of number of threads per task, max = min in case of 1 PE
-!
-! Revision 1.12  2003/03/16 09:30:22  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.11  2002/12/19 14:12:08  raasch
-! PE results are collected on PE0 in order to calculate mean cpu statistics.
-! Output format changed.
-!
-! Revision 1.10  2001/03/30 07:01:02  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 05:49:49  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2001/01/02 17:25:23  raasch
-! Unit 18 closed at the end of the subroutine
-!
-! Revision 1.7  2000/12/20 10:10:26  letzel
-! All comments translated into English.
 !
 ! Revision 1.1  1997/07/24 11:11:11  raasch
@@ -41,5 +24,5 @@
 ! statistics. The output is sorted according to the amount of cpu-time consumed
 ! and output on PE0.
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE cpulog
Index: palm/trunk/SOURCE/data_log.f90
===================================================================
--- palm/trunk/SOURCE/data_log.f90	(revision 2)
+++ palm/trunk/SOURCE/data_log.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_log.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.1  2006/02/23 10:09:29  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3)
@@ -8,14 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_2d.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2006/08/22 13:50:29  raasch
 ! xz and yz cross sections now up to nzt+1
-!
-! Revision 1.4  2006/06/06 07:55:18  raasch
-! Error removed: p is assigned to to_be_resorted instead of w
-!
-! Revision 1.3  2006/06/02 15:18:21  raasch
-! +argument "found" in call of routine user_data_output_2d,
-! immediate return, if no output is requested
 !
 ! Revision 1.2  2006/02/23 10:19:22  raasch
@@ -26,89 +21,4 @@
 ! Former subroutine plot_2d renamed data_output_2d, pl2d.. renamed do2d..,
 ! anz renamed ngp, ebene renamed section, pl2d_.._anz renamed do2d_.._n
-!
-! Revision 1.1  2006/02/23 10:12:31  raasch
-! Initial revision
-!
-! Revision 1.25  2005/10/20 15:41:41  raasch
-! Error in output of netcdf yz-cross-sections removed
-!
-! Revision 1.24  2005/06/26 20:07:25  raasch
-! +ql_c, ql_v, ql_vp
-!
-! Revision 1.23  2005/05/18 15:46:56  raasch
-! Extensions for NetCDF output, output of vpt, qv and lwp
-!
-! Revision 1.22  2005/03/26 20:47:45  raasch
-! local_2d is allocated with upper bound nzt (former nzt+1 was wrong),
-! additional barrier in case that PE0 gathers data from the other
-! PEs, this barrier had to be set at the end of the gathering because
-! otherwise PE0 may receive wrong data on tag 0.
-!
-! Revision 1.21  2004/04/30 12:32:50  raasch
-! Adjustments for enlarged grids (unequal subdomain sizes)
-!
-! Revision 1.20  2003/03/16 09:42:27  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.19  2002/12/19 15:56:24  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.18  2002/06/11 13:13:00  raasch
-! TRIM function added (needed on IBM-systems)
-!
-! Revision 1.17  2002/04/16  08:11:16  08:11:16  raasch (Siegfried Raasch)
-! Output of scalar field allowed with strings s_xy, s_xz, s_yz
-! 
-! Revision 1.16  2001/03/30 07:44:29  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.15  2001/03/09 21:36:29  letzel
-! All comments translated into English.
-!
-! Revision 1.14  2001/01/29 12:32:07  raasch
-! Passive scalar is considered, xy-plot of q and ql corrected (level_z was
-! missing)
-!
-! Revision 1.13  2001/01/22 07:38:20  raasch
-! Module test_variables removed
-!
-! Revision 1.12  2001/01/02 17:33:39  raasch
-! Plot output file is closed at the end of the subroutine
-!
-! Revision 1.11  2000/04/13 14:01:44  schroeter
-! Plotausgaben fuer Gesamtwasser- und Fluessigwassergehalt
-!
-! Revision 1.10  99/02/05  09:14:06  09:14:06  raasch (Siegfried Raasch)
-! u=v=0 am unteren Rand bei Vertikalschnitten wird jetzt ausschliesslich
-! bei Spiegelungsrandbedingungen verwendet
-! 
-! Revision 1.9  1998/09/22 17:25:58  raasch
-! u*- und theta*-Ausgabe korrigiert (muessen auf nzb+1 des Hilfsfeldes local_2d
-! umgespeichert werden.
-!
-! Revision 1.8  1998/07/06 12:26:06  raasch
-! Exakte Ausgabe der Lage der Schnittebenen fuer die verschiedenen Felder
-! bei Horizontalschnitten, + USE test_variables
-!
-! Revision 1.7  1998/03/09 16:24:19  raasch
-! TRIM( simulated_time_chr )
-!
-! Revision 1.6  1998/02/19 07:10:30  raasch
-! Ausgabe der Teilfelder jetzt auch wieder wahlweise durch die einzelnen PEs
-!
-! Revision 1.5  1998/02/10 15:08:25  raasch
-! Spiegelungsrandbedingung fuer u und v bei Vertikalschnitten durch
-! u=v=0 ersetzt, Ausgabe der Schnittlevel,
-! Empfang der Teilfelder durch PE0 erfolgt in beliebiger Reihenfolge durch
-! Verwendung von MPI_ANY_TAG, Barrieren werden gesetzt, um MPI-Fehler zu umgehen
-!
-! Revision 1.4  1998/01/23 10:05:42  raasch
-! Ausgabe von 2D-Feldern (u*_xy, t*_xy)
-!
-! Revision 1.3  1997/09/08 10:47:23  raasch
-! Prozessor 0 gibt jetzt gesamte Schnittebene des Modells aus
-!
-! Revision 1.2  1997/08/29 09:00:36  raasch
-! Ausgabe der potentiellen Temperatur
 !
 ! Revision 1.1  1997/08/11 06:24:09  raasch
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_3d.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.3  2006/06/02 15:18:59  raasch
 ! +argument "found", -argument grid in call of routine user_data_output_3d
@@ -16,44 +18,4 @@
 ! .._anz renamed .._n,
 ! output extended to (almost) all quantities, output of user-defined quantities
-!
-! Revision 1.1  2006/02/23 10:21:34  raasch
-! Initial revision
-!
-! Revision 1.13  2005/06/26 20:08:36  raasch
-! +ql_c, ql_v, ql_vp
-!
-! Revision 1.12  2005/05/18 15:47:34  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.11  2003/03/16 09:42:31  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.10  2002/06/11 13:13:27  raasch
-! TRIM function added (needed on IBM-systems)
-!
-! Revision 1.9  2002/04/16  08:11:50  08:11:50  raasch (Siegfried Raasch)
-! Output of scalar field s allowed
-! 
-! Revision 1.8  2001/03/30 07:44:45  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.7  2001/03/09 21:46:23  letzel
-! All comments translated into English.
-!
-! Revision 1.6  2001/01/22 07:40:10  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/04/13 14:02:39  schroeter
-! Plotausgabe fuer Gesamtwasser- und Fluessigwassergehalt sowie potentielle
-! Fluessigwassertemperatur
-!
-! Revision 1.4  99/03/02  09:24:51  09:24:51  raasch (Siegfried Raasch)
-! Datenkompression implementiert
-! 
-! Revision 1.3  1998/07/06 12:26:35  raasch
-! + USE test_variables
-!
-! Revision 1.2  1998/03/09 16:24:33  raasch
-! simulated_time_mod verlaengert
 !
 ! Revision 1.1  1997/09/03 06:29:36  raasch
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 3)
@@ -32,54 +32,15 @@
 ! Actual revisions:
 ! -----------------
-! 
 ! TEST: write statements
 !
 ! Former revisions:
 ! -----------------
-! $Log: data_output_dvrp.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.13  2006/02/23 10:25:12  raasch
 ! Former routine plot_dvrp renamed data_output_dvrp,
 ! Only a fraction of the particles may have a tail,
 ! pl.. replaced by do.., %size renamed %dvrp_psize
-!
-! Revision 1.12  2005/03/31 07:00:46  raasch
-! Testversion with print statements checked in
-!
-! Revision 1.11  2003/08/01 08:44:50  raasch
-! Routine defined as recursive, because it is called from DVRP_STEERING_UPDATE
-! in case that the user has suspended the run by steering control.
-! Routine color_dvrp placed at the beginning of this file. This routine is used
-! for slicer colortable settings.
-!
-! Revision 1.10  2003/03/16 09:42:34  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.9  2003/03/04 11:35:07  raasch
-! Update for new version of dvrp software (e.g. using module dvrp is now
-! mandatory)
-!
-! Revision 1.8  2001/11/09 13:41:21  raasch
-! Colour can change along the particle tails
-!
-! Revision 1.7  2001/08/21 09:55:20  raasch
-! Superelevation for particles implemented, plotting of particle tails added,
-! colourtable definitions moved to subroutine user_dvrp_coltab
-!
-! Revision 1.6  2001/07/12 12:44:12  raasch
-! Test: color definitions for particles changed
-!
-! Revision 1.5  2001/03/30 07:45:00  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/29 12:32:51  raasch
-! Passive scalar considered
-!
-! Revision 1.3  2001/01/22 07:41:12  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2000/12/28 13:37:19  raasch
-! Total revision due to new features of dvrp-software,
-! plot of slicers included,
-! code is used only optionally (cpp-directives are added)
 !
 ! Revision 1.1  2000/04/27 06:27:17  raasch
